ripley::RipleyException Class Reference

RipleyException exception class. More...

`#include <RipleyException.h>`

Inheritance diagram for ripley::RipleyException:

## Public Member Functions

| RipleyException (const std::string &str)
Public Member Functions inherited from escript::EsysException
| EsysException (const std::string &message)
| Constructor which creates an Exception with the given message. More...
virtual | ~EsysException () throw ()
| Destructor. More...
virtual const char * | what () const throw ()
| Returns a description of the exception. More...

## Detailed Description

RipleyException exception class.

## Constructor & Destructor Documentation

## RipleyException()

ripley::RipleyException::RipleyException | ( | const std::string & | str | ) |

inline

The documentation for this class was generated from the following file:

- RipleyException.h